# Process Development

- [Process Editor](https://docs.frends.com/reference/process-development/process-editor.md): UI for creating Processes and Subprocesses.
- [Process](https://docs.frends.com/reference/process-development/process.md): Main integration flow in Frends.
- [Subprocess](https://docs.frends.com/reference/process-development/subprocess.md): Reusable integration flow to be used within Processes.
- [Template](https://docs.frends.com/reference/process-development/template.md): Base for reusing and distributing Processes and ideas.
- [C# in Frends](https://docs.frends.com/reference/process-development/c-in-frends.md): How to use C# programming in Frends.
- [Available Namespaces](https://docs.frends.com/reference/process-development/c-in-frends/available-namespaces.md): Libraries and classes available to use in Frends Processes.
- [JSON in Frends](https://docs.frends.com/reference/process-development/json-in-frends.md): JSON is utilized a lot in Frends Processes.
- [Reference Values](https://docs.frends.com/reference/process-development/reference-values.md): Variables from different sources in Frends Processes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frends.com/reference/process-development.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
